HQ APIReports
Get payments by day report
Returns daily payment activity for the requested company.
For legacy enterprise settlements, settled amounts and fees are calculated from the payments belonging to the requested company rather than from the enterprise-wide settlement totals.
GET
/v1/hq/companies/{company_id}/reports/payments-by-dayAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
company_id*string
Query Parameters
filter*
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/companies/string/reports/payments-by-day?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"{
"rows": [
{
"date": "string",
"bookings_created_amount": 0.1,
"bookings_served_amount": 0.1,
"vouchers_sold_amount": 0.1,
"noshow_charged_amount": 0.1,
"paylink_charged_amount": 0.1,
"payments_settled_amount": 0.1,
"settlement_fees_amount": 0.1
}
],
"totals": {
"bookings_created_amount": 0.1,
"bookings_served_amount": 0.1,
"vouchers_sold_amount": 0.1,
"noshow_charged_amount": 0.1,
"paylink_charged_amount": 0.1,
"payments_settled_amount": 0.1,
"settlement_fees_amount": 0.1
}
}Empty
Empty
Empty
Empty
Empty